Get Payout Batch
This API is used by merchant to get the details of a payout batch with the status of each payout request in the batch. We will get response with the details of the amount, payee details, bank details and status of the transaction.
get
http://kraken.airpay.co.in:8000/payout/partner/payout-batches/{batchCode}Header
Section titled “Header”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| Content-Type required | String | The Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data. | application/json |
| Authorization required | String | The token is a JSON Web Token (JWT) in this example, commonly used for bearer authentication. | JIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NT |
Success 200
Section titled “Success 200”| Parameter | Type Value | Description | Value Like |
|---|---|---|---|
| status required | Alphanumeric | success / error | success |
| message required | Alphanumeric | Response description | |
| errors required | Array | Error messages if response status is ‘error’ | |
| data required | Array | Response data | |
| code required | Alphanumeric | Payout batch code | 2022JAN |
| created_datetime required | DateTime | Batch created date time (Y-m-d H:i:s) | |
| transfers required | Array | Transfer data block | |
| transfer_number required | Alphanumeric | Unique id of the transfer in the batch | 10 |
| UID required | Alphanumeric | Custom variable from partner | USER1 |
| amount required | Numeric | Transfer Amount | |
| payee_name required | Alphanumeric | Name of the payee | John Brown |
| payee_mobile required | Numeric | Mobile number of the payee | 9846030201 |
| currency required | Alphanumeric | Currency code | INR |
| partner_bank_id required | Numeric | Partner bank account id | 111 |
| bank_name required | Alphanumeric | Beneficiary bank name | SBI |
| bank_account_type required | Alphanumeric | savings / current | savings |
| bank_account_number required | Alphanumeric | Beneficiary bank account number | 560002379833 |
| bank_ifsc required | Alphanumeric | Beneficiary bank IFSC code | SBIN0016387 |
| transfer_datetime required | DateTime | Transfer date and time (Y-m-d H:i:s) | null |
| utr_number required | Alphanumeric | UTR / RRN number | null |
| fees required | Numeric | Transfer charge (If transfer status is SUCCESS) | 0 |
Request Example
Section titled “Request Example”HTTP get
GET 'partner/payout-batches{batchCode}'Success Response (Decrypted)
Section titled “Success Response (Decrypted)”{ "status": "success", "message": "Payout batch", "data": { "code": "2022JAN", "name": "Affiliate Payout Batch of January 2022", "created_datetime": "2022-02-12 20:03:33", "transfers": [ { "transfer_number": "10", "UID": "USER1", "amount": 500, "payee_name": "John Brown", "payee_mobile": "9846030201", "currency": "INR", "partner_bank_id": "111", "bank_name": "SBI", "bank_account_type": "savings", "bank_account_number": "560002379833", "bank_ifsc": "SBIN0016387", "status": "PENDING", "transfer_mode": "NEFT", "transfer_datetime": null, "utr_number": null, "fees": 0 } ] }}